Get change log info by batch_id for templated bulk uploaded users. batch_id and tenant required.

GET /users/batches/{batchId}/changelog

Operation id: UserService_GetTemplatedChangeLog

Description

Permission Level: Read

Tags: UserService

Parameters

Path parameters

NameTypeRequiredDescription
batchIdstringYesbatch_id of the batch for change log, Required: true

Query parameters

NameTypeRequiredDescription
tenantIdstringNotenant_id of the users in batch, Required: false

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
tenantIdstringNo
batchIdstringNo
createdarrayNolist of user_ids of the users created in the batch.
updatedarrayNolist of user_ids of the users updated in the batch.
creationTimestring (date-time)No
{
  "type": "object",
  "properties": {
    "tenantId": {
      "type": "string"
    },
    "batchId": {
      "type": "string"
    },
    "created": {
      "type": "array",
      "description": "list of user_ids of the users created in the batch.",
      "items": {
        "type": "string"
      }
    },
    "updated": {
      "type": "array",
      "description": "list of user_ids of the users updated in the batch.",
      "items": {
        "type": "string"
      }
    },
    "creationTime": {
      "type": "string",
      "format": "date-time"
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}